# System files
.DS_Store
*.swp

# Toolchain directory
gcc-arm-none-eabi*

# Extra files
compile_commands.json
.clangd

# Prerequisites
*.d

# Build directory
*build*

# Compiled Object files
*.o
*.obj

# Precompiled Headers
*.gch
*.pch

# Linker output
*.map

# Compiled Static libraries
*.lai
*.la
*.a
*.lib

# Executables
*.elf
*.hex
*.out

# Project files
.idea/
.vscode/

# Documentation
docs/html/

# Clangd caches
.cache

# User specific CMake presets
CMakeUserPresets.json
